<?php
class HabitacionModel extends Query{
    public function __construct()
    {
        parent::__construct();
    }
    private $codigo, $descripcion;

    public function insertHabitacion(int $codigo,string $descripcion)
    {
        $this->codigo = $codigo;
        $this->descripcion = $descripcion;
       
        $sql = "insert into stipohabitacion (codigo,descripcion) values (?,?)";
        $datos = array($this->codigo,$this->descripcion);
        $data=$this->save($sql,$datos);
        if($data == 1){
            $res = 1;
        }else{
            $res = 0;
        }
        return $res;
    }

    public function getHabitaciones()
    {
        $sql = "select * from stipohabitacion";
        $data = $this->selectAll($sql);
        return $data;
    }
    
    public function getHabitacion(int $codigo)
    {
        $this->codigo=$codigo;
        $sql = "select * from stipohabitacion where codigo=".$this->codigo;
        
        $data = $this->select($sql);
        return $data;
    }

    public function updateHabitacion(int $codigo,string $descripcion){
        $this->codigo = $codigo;
        $this->descripcion = $descripcion;
        $sql="update stipohabitacion
        set descripcion = ? where codigo=?";
        $datos = array($this->descripcion,$this->codigo);
        $data=$this->save($sql,$datos);
        if($data==1){
            $res=1;
        }else{
            $res=0;
        }
        return $res;        
    }

}
?>